cdac.medinfo.sdk.hl7282.baselibs.segments

## Class OM2

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.OM2

- All Implemented Interfaces:
    ISegment

      public class OM2
      extends Segment

  OM2 - Numeric Observation Segment.

  The Technical Steward for the OM2 segment is ORDERS. This segment contains the attributes of observations with continuous values (including those with data types of numeric, date, or time stamp).

  Represents an HL7 OM2 message segment. This segment has the following fields:

  OM2-1: Sequence Number - Test/Observation Master File (NM)Optional
  OM2-2: Units of Measure (CWE)Optional
  OM2-3: Range of Decimal Precision (NM)Optional
  OM2-4: Corresponding SI Units of Measure (CWE)Optional
  OM2-5: SI Conversion Factor (TX)Optional
  OM2-6: Reference (Normal) Range - Ordinal and Continuous Observations (RFR) Optional
  OM2-7: Critical Range for Ordinal and Continuous Observations (RFR)Optional
  OM2-8: Absolute Range for Ordinal and Continuous Observations (RFR)Optional
  OM2-9: Delta Check Criteria (DLT)Optional
  OM2-10: Minimum Meaningful Increments (NM)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OM2()` Constructs the OM2 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCriticalRangeforOrdinalandContinuousObservations(NR objNumericRange, CWE objAdministrativeSex, NR objAgeRange, NR objGestationalAgeRange, java.lang.String strSpecies, java.lang.String strRacesubspecies, java.lang.String strConditions)` Add the Critical Range for Ordinal and Continuous Observations.
    `void` | `addCriticalRangeforOrdinalandContinuousObservations(RFR objcriticalRangeforOrdinalandContinuousObservations)` Add the Critical Range for Ordinal and Continuous Observations.
    `void` | `addDeltaCheckCriteria(DLT objdeltaCheckCriteria)` Add the Delta Check Criteria.
    `void` | `addDeltaCheckCriteria(NR objNormalRange, java.lang.String strNumericThreshold, java.lang.String strChangeComputation, java.lang.String strDaysRetained)` Add the Delta Check Criteria.
    `void` | `addRangeofDecimalPrecision(NM objrangeofDecimalPrecision)` Add the Range of Decimal Precision.
    `void` | `addRangeofDecimalPrecision(java.lang.String strNoOfProductExpReportFiledByDistributor)` Add the Range of Decimal Precision.
    `void` | `addReferenceNormalRangeOrdinalandContinuousObservations(NR objNumericRange, CWE objAdministrativeSex, NR objAgeRange, NR objGestationalAgeRange, java.lang.String strSpecies, java.lang.String strRacesubspecies, java.lang.String strConditions)` Add the Reference Normal Range Ordinal and Continuous Observations.
    `void` | `addReferenceNormalRangeOrdinalandContinuousObservations(RFR objreferenceNormalRangeOrdinalandContinuousObservations)` Add the Reference Normal Range Ordinal and Continuous Observations.
    `RFR` | `getAbsoluteRangeforOrdinalandContinuousObservations()` Retrieves the Absolute Range for Ordinal and Continuous Observations.
    `CWE` | `getCorrespondingSIUnitsofMeasure()` Retrieves the Corresponding SI Units of Measure.
    `ISingleCollection<RFR>` | `getCriticalRangeforOrdinalandContinuousObservations()` Retrieves the Critical Range for Ordinal and Continuous Observations.
    `ISingleCollection<DLT>` | `getDeltaCheckCriteria()` Retrieves the Delta Check Criteria.
    `NM` | `getMinimumMeaningfulIncrements()` Retrieves the Minimum Meaningful Increments.
    `ISingleCollection<NM>` | `getRangeofDecimalPrecision()` Retrieves the Range of Decimal Precision.
    `ISingleCollection<RFR>` | `getReferenceNormalRangeOrdinalandContinuousObservations()` Retrieves the Reference Normal Range Ordinal and Continuous Observations.
    `NM` | `getSequenceNumberTestObservationMasterFile()` Retrieves the Sequence Number Test Observation Master File.
    `TX` | `getSIConversionFactor()` Retrieves the SI Conversion Factor.
    `CWE` | `getUnitsofMeasure()` Retrieves the Units of Measure.
    `void` | `setAbsoluteRangeforOrdinalandContinuousObservations(NR objNumericRange, CWE objAdministrativeSex, NR objAgeRange, NR objGestationalAgeRange, java.lang.String strSpecies, java.lang.String strRacesubspecies, java.lang.String strConditions)` Set the Absolute Range for Ordinal and Continuous Observations.
    `void` | `setAbsoluteRangeforOrdinalandContinuousObservations(RFR objabsoluteRangeforOrdinalandContinuousObservations)` Set the Absolute Range for Ordinal and Continuous Observations.
    `void` | `setCorrespondingSIUnitsofMeasure(CWE objcorrespondingSIUnitsofMeasure)` Set the Corresponding SI Units of Measure.
    `void` | `setCorrespondingSIUnitsofMeasure(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Corresponding SI Units of Measure.
    `void` | `setCriticalRangeforOrdinalandContinuousObservations(ISingleCollection<RFR> objcriticalRangeforOrdinalandContinuousObservationsList)` Set the Critical Range for Ordinal and Continuous Observations.
    `void` | `setDeltaCheckCriteria(ISingleCollection<DLT> objdeltaCheckCriteriaList)` Set the Delta Check Criteria.
    `void` | `setMinimumMeaningfulIncrements(NM objminimumMeaningfulIncrements)` Set the Minimum Meaningful Increments.
    `void` | `setMinimumMeaningfulIncrements(java.lang.String strQuantity)` Set the Minimum Meaningful Increments.
    `void` | `setRangeofDecimalPrecision(ISingleCollection<NM> objrangeofDecimalPrecisionList)` Set the Range of Decimal Precision.
    `void` | `setReferenceNormalRangeOrdinalandContinuousObservations(ISingleCollection<RFR> objreferenceNormalRangeOrdinalandContinuousObservationsList)` Set the Reference Normal Range Ordinal and Continuous Observations.
    `void` | `setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setSequenceNumberTestObservationMasterFile(java.lang.String strQuantity)` Set the Sequence Number Test Observation Master File.
    `void` | `setSIConversionFactor(java.lang.String strSoftwareProductInformation)` Set the SI Conversion Factor.
    `void` | `setSIConversionFactor(TX objsIConversionFactor)` Set the SI Conversion Factor.
    `void` | `setUnitsofMeasure(CWE objunitsofMeasure)` Set the Units of Measure.
    `void` | `setUnitsofMeasure(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Units of Measure.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OM2

          public OM2()

      Constructs the OM2 segment.

  - ### Method Detail

    - #### getAbsoluteRangeforOrdinalandContinuousObservations

          public RFR getAbsoluteRangeforOrdinalandContinuousObservations()

      Retrieves the Absolute Range for Ordinal and Continuous Observations. This field defines the range of possible results.
      Returns:
        RFR - absoluteRangeforOrdinalandContinuousObservations

    - #### getCorrespondingSIUnitsofMeasure

          public CWE getCorrespondingSIUnitsofMeasure()

      Retrieves the Corresponding SI Units of Measure. This field contains the single tests/observations the corresponding SI units of measure in the format, when these differ from the customary units of measure given in the previous field.
      Returns:
        CWE - correspondingSIUnitsofMeasure

    - #### getCriticalRangeforOrdinalandContinuousObservations

          public ISingleCollection<RFR> getCriticalRangeforOrdinalandContinuousObservations()

      Retrieves the Critical Range for Ordinal and Continuous Observations. This field Critical Range for Ordinal and Continuous Observations.
      Returns:
        ISingleCollection - criticalRangeforOrdinalandContinuousObservations

    - #### getDeltaCheckCriteria

          public ISingleCollection<DLT> getDeltaCheckCriteria()

      Retrieves the Delta Check Criteria. This field describes the information that controls delta check warnings.
      Returns:
        ISingleCollection - deltaCheckCriteria

    - #### getMinimumMeaningfulIncrements

          public NM getMinimumMeaningfulIncrements()

      Retrieves the Minimum Meaningful Increments. This field contains the numerically valued single observations.
      Returns:
        NM - minimumMeaningfulIncrements

    - #### getRangeofDecimalPrecision

          public ISingleCollection<NM> getRangeofDecimalPrecision()

      Retrieves the Range of Decimal Precision. This field contains the numerically valued single observations.
      Returns:
        ISingleCollection - rangeofDecimalPrecision

    - #### getReferenceNormalRangeOrdinalandContinuousObservations

          public ISingleCollection<RFR> getReferenceNormalRangeOrdinalandContinuousObservations()

      Retrieves the Reference Normal Range Ordinal and Continuous Observations. This field contains the reference(normal) ranges for "numeric" observations/tests with a nature code of A or C.
      Returns:
        ISingleCollection - referenceNormalRangeOrdinalandContinuousObservations

    - #### getSequenceNumberTestObservationMasterFile

          public NM getSequenceNumberTestObservationMasterFile()

      Retrieves the Sequence Number Test Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Returns:
        NM - sequenceNumberTestObservationMasterFile

    - #### getSIConversionFactor

          public TX getSIConversionFactor()

      Retrieves the SI Conversion Factor. This field contains the continuous, numerically valued tests/observations, with a nature code of A or C.
      Returns:
        TX - sIConversionFactor

    - #### getUnitsofMeasure

          public CWE getUnitsofMeasure()

      Retrieves the Units of Measure. This field contains the single tests/observations.
      Returns:
        CWE - unitsofMeasure

    - #### setAbsoluteRangeforOrdinalandContinuousObservations

          public void setAbsoluteRangeforOrdinalandContinuousObservations(NR objNumericRange,
                                                                 CWE objAdministrativeSex,
                                                                 NR objAgeRange,
                                                                 NR objGestationalAgeRange,
                                                                 java.lang.String strSpecies,
                                                                 java.lang.String strRacesubspecies,
                                                                 java.lang.String strConditions)

      Set the Absolute Range for Ordinal and Continuous Observations. This field defines the range of possible results.
      Parameters:
        `objNumericRange` - This component specifies the numeric interval of the reference data.
        `objAdministrativeSex` - This component specifies which gender for which the reference range is valid.
        `objAgeRange` - This component specifies the age range for which the reference range is valid.
        `objGestationalAgeRange` - This component specifies the gestational age range for which the reference range is valid.
        `strSpecies` - This component specifies the species for which the reference range is valid.
        `strRacesubspecies` - This component specifies the race or subspecies for which the reference range is valid.
        `strConditions` - This component specifies any arbitrary condition for which the reference range is valid.

    - #### setAbsoluteRangeforOrdinalandContinuousObservations

          public void setAbsoluteRangeforOrdinalandContinuousObservations(RFR objabsoluteRangeforOrdinalandContinuousObservations)

      Set the Absolute Range for Ordinal and Continuous Observations. This field defines the range of possible results.
      Parameters:
        `objabsoluteRangeforOrdinalandContinuousObservations` - Object of Absolute Range for Ordinal and Continuous Observations.

    - #### setUnitsofMeasure

          public void setUnitsofMeasure(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Units of Measure. This field contains the single tests/observations.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUnitsofMeasure

          public void setUnitsofMeasure(CWE objunitsofMeasure)

      Set the Units of Measure. This field contains the single tests/observations.
      Parameters:
        `objunitsofMeasure` - Object of Units of Measure.

    - #### setCorrespondingSIUnitsofMeasure

          public void setCorrespondingSIUnitsofMeasure(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Corresponding SI Units of Measure. This field contains the single tests/observations the corresponding SI units of measure in the format, when these differ from the customary units of measure given in the previous field.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCorrespondingSIUnitsofMeasure

          public void setCorrespondingSIUnitsofMeasure(CWE objcorrespondingSIUnitsofMeasure)

      Set the Corresponding SI Units of Measure. This field contains the single tests/observations the corresponding SI units of measure in the format, when these differ from the customary units of measure given in the previous field.
      Parameters:
        `objcorrespondingSIUnitsofMeasure` - Object of Corresponding SI Units of Measure.

    - #### addCriticalRangeforOrdinalandContinuousObservations

          public void addCriticalRangeforOrdinalandContinuousObservations(NR objNumericRange,
                                                                 CWE objAdministrativeSex,
                                                                 NR objAgeRange,
                                                                 NR objGestationalAgeRange,
                                                                 java.lang.String strSpecies,
                                                                 java.lang.String strRacesubspecies,
                                                                 java.lang.String strConditions)

      Add the Critical Range for Ordinal and Continuous Observations. This field Critical Range for Ordinal and Continuous Observations.
      Parameters:
        `objNumericRange` - This component specifies the numeric interval of the reference data.
        `objAdministrativeSex` - This component specifies which gender for which the reference range is valid.
        `objAgeRange` - This component specifies the age range for which the reference range is valid.
        `objGestationalAgeRange` - This component specifies the gestational age range for which the reference range is valid.
        `strSpecies` - This component specifies the species for which the reference range is valid.
        `strRacesubspecies` - This component specifies the race or subspecies for which the reference range is valid.
        `strConditions` - This component specifies any arbitrary condition for which the reference range is valid.

    - #### addCriticalRangeforOrdinalandContinuousObservations

          public void addCriticalRangeforOrdinalandContinuousObservations(RFR objcriticalRangeforOrdinalandContinuousObservations)

      Add the Critical Range for Ordinal and Continuous Observations. This field Critical Range for Ordinal and Continuous Observations.
      Parameters:
        `objcriticalRangeforOrdinalandContinuousObservations` - Object of Critical Range for Ordinal and Continuous Observations.

    - #### setCriticalRangeforOrdinalandContinuousObservations

          public void setCriticalRangeforOrdinalandContinuousObservations(ISingleCollection<RFR> objcriticalRangeforOrdinalandContinuousObservationsList)

      Set the Critical Range for Ordinal and Continuous Observations. This field Critical Range for Ordinal and Continuous Observations.
      Parameters:
        `objcriticalRangeforOrdinalandContinuousObservationsList` - List of Critical Range for Ordinal and Continuous Observations.

    - #### addReferenceNormalRangeOrdinalandContinuousObservations

          public void addReferenceNormalRangeOrdinalandContinuousObservations(NR objNumericRange,
                                                                     CWE objAdministrativeSex,
                                                                     NR objAgeRange,
                                                                     NR objGestationalAgeRange,
                                                                     java.lang.String strSpecies,
                                                                     java.lang.String strRacesubspecies,
                                                                     java.lang.String strConditions)

      Add the Reference Normal Range Ordinal and Continuous Observations. This field contains the reference(normal) ranges for "numeric" observations/tests with a nature code of A or C.
      Parameters:
        `objNumericRange` - This component specifies the numeric interval of the reference data.
        `objAdministrativeSex` - This component specifies which gender for which the reference range is valid.
        `objAgeRange` - This component specifies the age range for which the reference range is valid.
        `objGestationalAgeRange` - This component specifies the gestational age range for which the reference range is valid.
        `strSpecies` - This component specifies the species for which the reference range is valid.
        `strRacesubspecies` - This component specifies the race or subspecies for which the reference range is valid.
        `strConditions` - This component specifies any arbitrary condition for which the reference range is valid.

    - #### addReferenceNormalRangeOrdinalandContinuousObservations

          public void addReferenceNormalRangeOrdinalandContinuousObservations(RFR objreferenceNormalRangeOrdinalandContinuousObservations)

      Add the Reference Normal Range Ordinal and Continuous Observations. This field contains the reference(normal) ranges for "numeric" observations/tests with a nature code of A or C.
      Parameters:
        `objreferenceNormalRangeOrdinalandContinuousObservations` - Object of Reference Normal Range Ordinal and Continuous Observations.

    - #### setReferenceNormalRangeOrdinalandContinuousObservations

          public void setReferenceNormalRangeOrdinalandContinuousObservations(ISingleCollection<RFR> objreferenceNormalRangeOrdinalandContinuousObservationsList)

      Set the Reference Normal Range Ordinal and Continuous Observations. This field contains the reference(normal) ranges for "numeric" observations/tests with a nature code of A or C.
      Parameters:
        `objreferenceNormalRangeOrdinalandContinuousObservationsList` - List of Reference Normal Range Ordinal and Continuous Observations.

    - #### addDeltaCheckCriteria

          public void addDeltaCheckCriteria(NR objNormalRange,
                                   java.lang.String strNumericThreshold,
                                   java.lang.String strChangeComputation,
                                   java.lang.String strDaysRetained)

      Add the Delta Check Criteria. This field describes the information that controls delta check warnings.
      Parameters:
        `objNormalRange` - Specifies the normal interval of the reference data
        `strNumericThreshold` - Specifies the numeric threshold of the change that is detected.
        `strChangeComputation` - Specifies if the change is computed as a percent change or as an absolute change. [Refer to HL7 Table 0523 - Computation type]valid values %,a.
        `strDaysRetained` - Specifies of time in days that the value is retained for computing delta checks.

    - #### addDeltaCheckCriteria

          public void addDeltaCheckCriteria(DLT objdeltaCheckCriteria)

      Add the Delta Check Criteria. This field describes the information that controls delta check warnings.
      Parameters:
        `objdeltaCheckCriteria` - Object of Delta Check Criteria.

    - #### setDeltaCheckCriteria

          public void setDeltaCheckCriteria(ISingleCollection<DLT> objdeltaCheckCriteriaList)

      Set the Delta Check Criteria. This field describes the information that controls delta check warnings.
      Parameters:
        `objdeltaCheckCriteriaList` - List of Delta Check Criteria.

    - #### setMinimumMeaningfulIncrements

          public void setMinimumMeaningfulIncrements(java.lang.String strQuantity)

      Set the Minimum Meaningful Increments. This field contains the numerically valued single observations.
      Parameters:
        `strQuantity` - This field contains the String Value of Quantity

    - #### setMinimumMeaningfulIncrements

          public void setMinimumMeaningfulIncrements(NM objminimumMeaningfulIncrements)

      Set the Minimum Meaningful Increments. This field contains the numerically valued single observations.
      Parameters:
        `objminimumMeaningfulIncrements` - Object of Minimum Meaningful Increments.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(java.lang.String strQuantity)

      Set the Sequence Number Test Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Parameters:
        `strQuantity` - This field contains the String Value of Quantity

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Parameters:
        `objsequenceNumberTestObservationMasterFile` - Object of Sequence Number Test Observation Master File.

    - #### addRangeofDecimalPrecision

          public void addRangeofDecimalPrecision(java.lang.String strNoOfProductExpReportFiledByDistributor)

      Add the Range of Decimal Precision. This field contains the numerically valued single observations.
      Parameters:
        `strNoOfProductExpReportFiledByDistributor` - This field contains the String Value of Number of Product Experiance Report Filed By Distributor

    - #### addRangeofDecimalPrecision

          public void addRangeofDecimalPrecision(NM objrangeofDecimalPrecision)

      Add the Range of Decimal Precision. This field contains the numerically valued single observations.
      Parameters:
        `objrangeofDecimalPrecision` - Object of Range of Decimal Precision.

    - #### setRangeofDecimalPrecision

          public void setRangeofDecimalPrecision(ISingleCollection<NM> objrangeofDecimalPrecisionList)

      Set the Range of Decimal Precision. This field contains the numerically valued single observations.
      Parameters:
        `objrangeofDecimalPrecisionList` - List of Range of Decimal Precision.

    - #### setSIConversionFactor

          public void setSIConversionFactor(java.lang.String strSoftwareProductInformation)

      Set the SI Conversion Factor. This field contains the continuous, numerically valued tests/observations, with a nature code of A or C.
      Parameters:
        `strSoftwareProductInformation` - Use as SoftwareProductInformation.

    - #### setSIConversionFactor

          public void setSIConversionFactor(TX objsIConversionFactor)

      Set the SI Conversion Factor. This field contains the continuous, numerically valued tests/observations, with a nature code of A or C.
      Parameters:
        `objsIConversionFactor` - Object of SI Conversion Factor.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails